Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032573
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-04-01 14:062018-02-22 17:21
ReporterpsanjuanView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiond0483d32b533
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-10-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0032573: It is not possible to execute a payment created in the financial account if it is set up as "Automatic Deposit".

DescriptionIt is not possible to execute a payment created in the financial account if it is set up as "Automatic Deposit".
Steps To ReproduceGo to Financial Account window and select "Cuenta de Banco".
Go to payment method tab and select "Cheque". Configure this payment method as described below:
* Payment In allowed =Yes
* Automatic Deposit = Yes
* Execution type = Automatic
* Execution Process = Print Check simple process
* Deferred = Yes
* Upon receipt use = In transit payment account
* Upon deposit use = Deposited payment account.

Go to sales invoice window and create a new one for F&B España, BP = Alimentos y Supermercados, Payment Method = Cheque. Complete the invoice (ie. invoice number 1000179, total gross amount = 925.65

Go to financial account "Cuenta de Banco" transaction tab and create a new one as described below:
* Transaction type = BP Deposit
Press on + icon to create a payment.

Once in the "Add payment" window filter by "Received From" Alimentos y Supermercados BP and Payment Method = Cheque.
Enter 925.65 in actual payment field and select the invoice 10000179

Press Done by selecting the option "Process Received Payment(s)".

Check that a transaction in "Draft" mode has been created related to a new payment created (ie. payment 10001749. Do not process the transaction (It should not be allowed, see issue 32383)

Navigate to the payment and check that its status is "Awaiting Execution".

Execute the payment in the payment in window by using the button "Execute Payment". Enter a check number. Press Execute.

Check that below error is shown. "Could not execute JDBC batch update".

See error log:

c59635e2 11046029 [http-8080-4] DEBUG reloadXml - XmlEngine 29-11-2001 Initialized
c59635e2 11046189 [http-8080-4] DEBUG reloadXml - XmlEngine 29-11-2001 Initialized
c59635e2 11049903 [http-8080-2] ERROR org.hibernate.util.JDBCExceptionReporter - Batch entry 0 insert into FIN_Finacc_Transaction (AD_Client_ID, AD_Org_ID, Created, Createdby, Updated, Updatedby, Isactive, C_Currency_ID, Fin_Financial_Account_ID, Line, Fin_Payment_ID, DateAcct, Status, Paymentamt, Depositamt, Processed, Processing, Posted, Trxtype, Statementdate, Description, CreatedByAlgorithm, EM_APRM_Modify, EM_Aprm_Processed, Fin_Finacc_Transaction_ID) values ('23C59575B9CF467C9620760EB255B389', 'B843C30461EA4501935CB1D125C9C25A', '2016-04-01 13:41:45.769000 +02:00:00', '100', '2016-04-01 13:41:45.769000 +02:00:00', '100', 'Y', '102', 'DEDDE613C5314ACD8DCC60C474D1A107', 6900, '4BB428CED8834F06B20B98CDA9C48A33', '2016-04-01 00:00:00.000000 +02:00:00', 'RPR', '0', '308.55', 'N', 'N', 'N', 'BPD', '2016-04-01 00:00:00.000000 +02:00:00', 'Invoice No.: 1000324.', 'N', 'N', 'P', '4BB428CED8834F06B20B98CDA9C48A33') was aborted. Call getNextException to see the cause.
c59635e2 11049905 [http-8080-2] ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: duplicate key value violates unique constraint "fin_finacc_transaction_un"
  Detail: Key (fin_payment_id)=(4BB428CED8834F06B20B98CDA9C48A33) already exists.
org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update
    at org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:96)
    at org.hibernate.exception.JDBCExceptionHelper.convert(JDBCExceptionHelper.java:66)
    at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:275)
    at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:268)
    at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:184)
    at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)
    at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:51)
    at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1216)
    at org.openbravo.dal.service.OBDal.flush(OBDal.java:205)
    at org.openbravo.advpaymentmngt.dao.TransactionsDao.createFinAccTransaction(TransactionsDao.java:142)
    at org.openbravo.advpaymentmngt.process.FIN_ExecutePayment.execute(FIN_ExecutePayment.java:198)
    at org.openbravo.advpaymentmngt.ad_actionbutton.ExecutePayments.processAndClose(ExecutePayments.java:177)
    at org.openbravo.advpaymentmngt.ad_actionbutton.ExecutePayments.doPost(ExecutePayments.java:100)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:228)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:428)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:291)
    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)
    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)
    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)
    at java.lang.Thread.run(Thread.java:701)
Caused by: java.sql.BatchUpdateException: Batch entry 0 insert into FIN_Finacc_Transaction (AD_Client_ID, AD_Org_ID, Created, Createdby, Updated, Updatedby, Isactive, C_Currency_ID, Fin_Financial_Account_ID, Line, Fin_Payment_ID, DateAcct, Status, Paymentamt, Depositamt, Processed, Processing, Posted, Trxtype, Statementdate, Description, CreatedByAlgorithm, EM_APRM_Modify, EM_Aprm_Processed, Fin_Finacc_Transaction_ID) values ('23C59575B9CF467C9620760EB255B389', 'B843C30461EA4501935CB1D125C9C25A', '2016-04-01 13:41:45.769000 +02:00:00', '100', '2016-04-01 13:41:45.769000 +02:00:00', '100', 'Y', '102', 'DEDDE613C5314ACD8DCC60C474D1A107', 6900, '4BB428CED8834F06B20B98CDA9C48A33', '2016-04-01 00:00:00.000000 +02:00:00', 'RPR', '0', '308.55', 'N', 'N', 'N', 'BPD', '2016-04-01 00:00:00.000000 +02:00:00', 'Invoice No.: 1000324.', 'N', 'N', 'P', '4BB428CED8834F06B20B98CDA9C48A33') was aborted. Call getNextException to see the cause.
    at org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError(AbstractJdbc2Statement.java:2762)
    at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1999)
    at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:421)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.executeBatch(AbstractJdbc2Statement.java:2929)
    at org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)
    at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)
    ... 42 more






Proposed SolutionWe do have two options either:

a) payment is created in awaiting execution status therefore it can be executed in payment in/out window, but no transaction is created in the financial account. Once payment is executed a transaction is created automatically in the financial account (deposit) = behavior prior to "Add Transaction" refactor project.

b) same way payment is created in awaiting execution status therefore it can be executed in payment in/out window, and a transaction in "draft" status is created in the financial account.
This draft transaction can not be processed (already implemented, see issue 32383)
Once payment is executed the transaction already created in Draft status is processed (deposited) automatically by Openbravo.

We have finally decided to go for option B).
TagsNo tags attached.
Attached Filespng file icon issue_32573.png [^] (124,449 bytes) 2016-04-01 14:24

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00326113.0PR16Q2 closedAtulOpenbravo Openbravo ERP It is not possible to execute a payment created in the financial account if it is set up as "Automatic Deposit". 
depends on backport 00326123.0PR16Q1.1 closedAtulOpenbravo Openbravo ERP It is not possible to execute a payment created in the financial account if it is set up as "Automatic Deposit". 
depends on backport 00326133.0PR15Q4.6 closedAtulOpenbravo Openbravo ERP It is not possible to execute a payment created in the financial account if it is set up as "Automatic Deposit". 
caused by feature request 0029387 closedSandrahuguet Openbravo ERP Transaction refactor project 
related to defect 0032383 closedAtulOpenbravo Openbravo ERP Payments can be deposited without being executed when adding a payment to an invoice through the financial account transaction 
related to defect 0032572 closedAtulOpenbravo Modules Settle remittance process needs to check if the payment being settle is already created in the financial account. 

-  Notes
(0085444)
psanjuan (manager)
2016-04-05 15:31

this issue is a regression introduced in 14Q4 after Add Payment refactor in Financial Account window.
Working in 14Q3.8
(0085465)
AtulOpenbravo (developer)
2016-04-06 13:30
edited on: 2016-04-08 13:19

Test Plan

Scenario 1

-Go to Financial Account window and select "Cuenta de Banco".
- Go to payment method tab and select "Cheque". Configure this payment method as described below:
* Payment In allowed =Yes
* Automatic Deposit = Yes
* Execution type = Automatic
* Execution Process = Print Check simple process
* Deferred = Yes
* Upon receipt use = In transit payment account
* Upon deposit use = Deposited payment account.

- Go to sales invoice window and create a new one for F&B España, BP = Alimentos y Supermercados, Payment Method = Cheque. Complete the invoice (ie. invoice number 1000179, total gross amount = 925.65

- Go to financial account "Cuenta de Banco" transaction tab and create a new one as described below:
* Transaction type = BP Deposit
- Press on + icon to create a payment.

- Once in the "Add payment" window filter by "Received From" Alimentos y Supermercados BP and Payment Method = Cheque.
Enter 925.65 in actual payment field and select the invoice 10000179

- Press Done by selecting the option "Process Received Payment(s)".

- Check that a transaction in "Draft" mode has been created related to a new payment created i.e. payment 10001749. Do not process the transaction. (It should not be allowed, see issue 32383)

- Navigate to the payment and check that its status is "Awaiting Execution".

- Execute the payment in the payment in window by using the button "Execute Payment". Enter a check number. Press Execute.

- Check that Payment is processed successfully and status is changed to "Deposit Not Cleared"

- Go to Financial Account Transaction check record related with the above processed payment has status "Deposit Not Cleared" as it is already processed, which is OK.

Scenario 2

follow up scenario 1.

Go to financial account transaction and reactivate the transaction.
Navigate to the payment and check that its status has changed to "Payment Received".
Try to reactivate the payment.
Check that below error is shown, which is correct:
"Document can not be reactivated. Record already registered in the financial account".

Go to the financial account and delete the transaction.
Go to payment in window and reactivate the payment. Check that payment status has changed to "Awaiting Payment". Press Add Details and verify only action avilable is "Process Received Payments and Deposit". Press Done.
Execute the payment by entering a check number.

Go to financial account and check that the payment has been successfully deposited in there and it has been processed. Payment status is now "Deposited Not cleared".

Repeat same test as above for purchase invoice/payment out.

(0085529)
psanjuan (manager)
2016-04-08 12:39

Test Plan above verified.

Issue can be code reviewed and closed.
(0085554)
hgbot (developer)
2016-04-11 11:04

Repository: erp/devel/pi
Changeset: d0483d32b53319687ad08a49ae01117977a3c7dd
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Apr 06 15:23:01 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d0483d32b53319687ad08a49ae01117977a3c7dd [^]

Fixes bug 32573:Not possible to execute Automatic Deposit payment created in FA

Before creating a record in financial account transaction, check is done: if transaction exists, get it so that no transactiom is created and the same is sent for processing

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
---
(0085555)
hgbot (developer)
2016-04-11 11:04

Repository: erp/devel/pi
Changeset: 49bad45bc7c1c763d1c20cce3dec1ab9ff989340
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 11 11:02:52 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/49bad45bc7c1c763d1c20cce3dec1ab9ff989340 [^]

Related to issue 32573: Update copyright

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
---
(0085556)
aferraz (developer)
2016-04-11 11:05

Code review OK
(0085590)
hgbot (developer)
2016-04-13 10:53

Repository: erp/devel/pi
Changeset: 6ce3115fb452fc49aaf5588887b6f0e3cddd3ddc
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Apr 13 10:50:18 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6ce3115fb452fc49aaf5588887b6f0e3cddd3ddc [^]

Related to issue 32573: Code review improvements

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0086177)
AtulOpenbravo (developer)
2016-05-04 10:58

Manual test created in test link
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10019 [^]
(0087439)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087440)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087443)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0090521)
rqueralta (developer)
2016-10-10 18:47

Test Cases in Test Link

Url: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10204 [^]

Url: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10205 [^]
(0102606)
hgbot (developer)
2018-02-22 17:21

Repository: tools/automation/int
Changeset: 89ceac367ce97f16eca8421a3d16d4d89c7fddcc
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Oct 18 19:07:48 2016 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/89ceac367ce97f16eca8421a3d16d4d89c7fddcc [^]

Related to issue 32573: Added some automated tests

---
M src-test/com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/PaymentMethodData.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/ExecutePaymentInPopUp.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentout/ExecutePaymentOutPopUp.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentout/PaymentOutTab.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRIn_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APROut_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/testscripts/SmokeTabScript.java
M src-test/com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentIn.java
M src-test/com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentOut.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRRegression32573In.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APRRegression32573Out.java
---

- Issue History
Date Modified Username Field Change
2016-04-01 14:06 psanjuan New Issue
2016-04-01 14:06 psanjuan Assigned To => Triage Finance
2016-04-01 14:06 psanjuan Modules => Core
2016-04-01 14:06 psanjuan Triggers an Emergency Pack => No
2016-04-01 14:07 psanjuan Relationship added related to 0032383
2016-04-01 14:22 psanjuan Steps to Reproduce Updated View Revisions
2016-04-01 14:22 psanjuan Proposed Solution updated
2016-04-01 14:23 ngarcia Issue Monitored: ngarcia
2016-04-01 14:24 psanjuan File Added: issue_32573.png
2016-04-01 14:25 psanjuan Proposed Solution updated
2016-04-05 15:31 psanjuan Regression level => Production - QA Approved
2016-04-05 15:31 psanjuan Regression date => 2014-12-30
2016-04-05 15:31 psanjuan Regression introduced in release => 3.0PR14Q4
2016-04-05 15:31 psanjuan Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/f94f08e02e3a [^]
2016-04-05 15:31 psanjuan Note Added: 0085444
2016-04-05 15:31 psanjuan Priority urgent => immediate
2016-04-05 17:54 aferraz Regression level Production - QA Approved => Production - Confirmed Stable
2016-04-05 17:54 aferraz Regression date 2014-12-30 =>
2016-04-05 17:54 aferraz Regression introduced by commit https://code.openbravo.com/erp/devel/pi/rev/f94f08e02e3a [^] =>
2016-04-05 17:54 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-04-05 17:56 aferraz Regression date => 2014-10-23
2016-04-05 17:56 aferraz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
2016-04-05 17:56 aferraz Relationship added caused by 0029387
2016-04-06 09:29 psanjuan Proposed Solution updated
2016-04-06 11:17 AtulOpenbravo Status new => scheduled
2016-04-06 13:18 psanjuan Proposed Solution updated
2016-04-06 13:30 AtulOpenbravo Note Added: 0085465
2016-04-06 13:31 AtulOpenbravo Note Edited: 0085465 View Revisions
2016-04-06 14:00 psanjuan Proposed Solution updated
2016-04-08 12:26 psanjuan Note Edited: 0085465 View Revisions
2016-04-08 12:32 psanjuan Note Edited: 0085465 View Revisions
2016-04-08 12:39 psanjuan Note Added: 0085529
2016-04-08 13:19 psanjuan Note Edited: 0085465 View Revisions
2016-04-11 11:04 hgbot Checkin
2016-04-11 11:04 hgbot Note Added: 0085554
2016-04-11 11:04 hgbot Status scheduled => resolved
2016-04-11 11:04 hgbot Resolution open => fixed
2016-04-11 11:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d0483d32b53319687ad08a49ae01117977a3c7dd [^]
2016-04-11 11:04 hgbot Checkin
2016-04-11 11:04 hgbot Note Added: 0085555
2016-04-11 11:05 aferraz Review Assigned To => aferraz
2016-04-11 11:05 aferraz Note Added: 0085556
2016-04-11 11:05 aferraz Status resolved => closed
2016-04-11 11:05 aferraz Fixed in Version => 3.0PR16Q3
2016-04-13 10:53 hgbot Checkin
2016-04-13 10:53 hgbot Note Added: 0085590
2016-04-13 10:59 aferraz Relationship added related to 0032572
2016-05-04 10:58 AtulOpenbravo Note Added: 0086177
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087439
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087440
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087443
2016-10-10 18:47 rqueralta Note Added: 0090521
2018-02-22 17:21 hgbot Checkin
2018-02-22 17:21 hgbot Note Added: 0102606


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker